Name:          spatial4j
Version:       0.7
Release:       2%{?dist}
Summary:       A Geospatial Library for Java
License:       ASL 2.0
URL:           https://projects.eclipse.org/projects/locationtech.spatial4j
Source0:       https://github.com/locationtech/spatial4j/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:  mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.locationtech.jts:jts-core)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.noggit:noggit)
BuildRequires:  mvn(org.slf4j:slf4j-simple)

BuildArch:     noarch

%description
Spatial4j is a general purpose spatial/geospatial Java library.
It's core capabilities are 3-fold: to provide common geospatially-aware shapes,
to provide distance calculations and other math, and to read and write the
shapes to strings.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Unwanted tasks
%pom_remove_plugin de.thetaphi:forbiddenapis
%pom_remove_plugin org.jacoco:jacoco-maven-plugin

# Backward compatibility aliases
%mvn_alias org.locationtech.spatial4j:spatial4j com.spatial4j:spatial4j

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md FORMATS.md
%license asl-v20.txt notice.md

%files javadoc -f .mfiles-javadoc
%license asl-v20.txt notice.md

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Apr 18 2018 Mat Booth <mat.booth@redhat.com> - 0.7-1
- Update to latest upstream release
- Enable testsuite

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jun 20 2016 gil cattaneo <puntogil@libero.it> 0.5.0-4
- add missing build requires: maven-plugin-bundle

* Fri Feb 26 2016 Michael Simacek <msimacek@redhat.com> - 0.5.0-3
- Remove jar-plugin execution to fix manifest generation

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-1
- Update to 0.5 release.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.4.1-3
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 gil cattaneo <puntogil@libero.it> 0.4.1-1
- update to 0.4.1
- switch to java-headless (build)requires (rhbz#1068543)

* Thu Jan 23 2014 gil cattaneo <puntogil@libero.it> 0.4-1
- update to 0.4

* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 0.3-1
- initial rpm
